# PIP: src/math/pimathmatrix.h File Reference

pimathmatrix.h File Reference

PIMathMatrix. More...

## Macros

#define | PIMM_FOR(r, c) for (uint c = 0; c < Cols; ++c) { for (uint r = 0; r < Rows; ++r) {
| Matrix templated. More...
#define | PIMM_FOR(c, r) for (uint c = 0; c < cols_; ++c) { for (uint r = 0; r < rows_; ++r) {
| Matrix templated. More...

## Functions

template<uint CR, uint Rows0, uint Cols1, typename Type >
PIMathMatrixT< Rows0, Cols1, Type > | operator* (const PIMathMatrixT< Rows0, CR, Type > &fm, const PIMathMatrixT< CR, Cols1, Type > &sm)
| Multiply matrices {Rows0 x CR} on {CR x Cols1}, result is {Rows0 x Cols1}.
template<uint Cols, uint Rows, typename Type >
PIMathVectorT< Cols, Type > | operator* (const PIMathMatrixT< Rows, Cols, Type > &fm, const PIMathVectorT< Rows, Type > &sv)
| Multiply matrix {Rows x Cols} on vector {Rows}, result is vector {Cols}.
template<typename Type >
PIMathMatrix< Type > | operator* (const PIMathMatrix< Type > &fm, const PIMathMatrix< Type > &sm)
| Multiply matrices {CR x Rows0} on {Cols1 x CR}, result is {Cols1 x Rows0}.
template<typename Type >
PIMathVector< Type > | operator* (const PIMathMatrix< Type > &fm, const PIMathVector< Type > &sv)
| Multiply matrix {Cols x Rows} on vector {Cols}, result is vector {Rows}.

## Detailed Description

PIMathMatrix.

## Macro Definition Documentation

#define PIMM_FOR | ( |  | r,
|  |  | c
| ) |  | for (uint c = 0; c < Cols; ++c) { for (uint r = 0; r < Rows; ++r) {

Matrix templated.

Matrix.

#define PIMM_FOR | ( |  | c,
|  |  | r
| ) |  | for (uint c = 0; c < cols_; ++c) { for (uint r = 0; r < rows_; ++r) {

Matrix templated.

Matrix.